from oerppy import query
from oerppy.addons.hr import model


class HRQuery(query.Query):
    """
    """
    def get_departments(self):
        """
        Build a lookup dictionary of department vs user_id.
        """
        raw_results = self.client.searchfields(
            entity="hr.employee",
            query=[],
            fields=['name','department_id','resource_id','user_id'])
        results = model.EmployeeSet(raw_results)
        # build dictionary of resource_id vs department
        return results.build_department_lookup_table()
