class OpenERPPyError(Exception):

    def __init__(self, *args, **kwargs):
        super(OpenERPPyError, self).__init__(*args, **kwargs)
        if not self.args:
            self.args = (self.__doc__.strip(),)


class OpenERPPyConfigError(OpenERPPyError):
    pass


class OpenERPPyParameterError(OpenERPPyError):
    pass


class OpenERPPyLoginFailure(OpenERPPyError):
    """
    Incorrect username or password provided.
    """


class OpenERPPyRemoteError(OpenERPPyError):
    pass
